ICP / GTM / REST API
Update segment
Patch selected fields on one draft Launchpad segment. Uses expectedUpdatedAt for conflict protection. Active segments must use campaign revision.
PATCH /api/v1/segmentsDeterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
segmentIdRequired · string- See the input schema for this field.
expectedUpdatedAtRequired · string- See the input schema for this field.
patchRequired · object- See the input schema for this field.
curl -X PATCH "https://app.pipeline.help/api/v1/segments" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000000","segmentId":"00000000-0000-4000-8000-000000000000","expectedUpdatedAt":"2026-01-01T00:00:00.000Z","patch":{}}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"segmentId": {
"type": "string"
},
"expectedUpdatedAt": {
"type": "string"
},
"patch": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"valueProp": {
"type": "string"
},
"pain": {
"type": "string"
},
"criteria": {
"type": "object",
"additionalProperties": true
},
"exampleAccounts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"domain": {
"type": "string"
}
},
"required": [
"name"
]
}
},
"personaIds": {
"type": "array",
"items": {
"type": "string"
}
},
"icpProfileId": {
"type": "string"
},
"weight": {
"type": "integer",
"minimum": 0,
"maximum": 100
}
},
"additionalProperties": false
}
},
"required": [
"workspaceId",
"segmentId",
"expectedUpdatedAt",
"patch"
],
"additionalProperties": false
}